Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594799 - add emacs to Malayalam Support group
Summary: add emacs to Malayalam Support group
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 16:20 UTC by Praveen Arimbrathodiyil
Modified: 2014-03-17 03:23 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-21 18:31:31 UTC


Attachments (Terms of Use)

Description Praveen Arimbrathodiyil 2010-05-21 16:20:36 UTC
Description of problem:

Currently none of the teminal emulators installed with "Malayalam Support" group can render Malayalam correctly.

Emacs has a terminal mode with support for proper Indic rendering (see #551949).

Adding emacs to Malayalam Support will enable users of Malayalam Desktop to use a terminal emulator with proper rendering support for Malayalam.


Additional info:

There is no plan currently to fix this in gnome terminal and konsole

#563191 - konsole does not display Indic text correctly
#563182 - gnome-terminal does not display complex scripts like Indic

Comment 1 Bill Nottingham 2010-05-21 18:31:31 UTC
No. We do not want to support multiple disparate terminal instances.

Comment 2 Praveen Arimbrathodiyil 2010-05-24 09:05:30 UTC
So a terminal should never display Indian languages?

Comment 3 Ani Peter 2010-05-24 09:23:15 UTC
In this case, kindly advise a solution how an user can get Indian language on the terminal?

Comment 4 Shankar Prasad 2010-05-24 10:08:35 UTC
Even I too want to have my language, Kannada(kn) displayed properly on terminal

Comment 5 Bill Nottingham 2010-05-24 18:34:27 UTC
emacs is an editor; the fact that it includes a terminal is only tangential. We do not want to support different terminals for different languages, nor have to code docs that say 'If you're running in languages XYZ, do this, but for languages ABC, do that.' The way forward is to get proper support for these locales in the normal terminal applications; I suspect they'd be willing to review patches.

Comment 6 Jens Petersen 2010-05-24 23:29:14 UTC
While I understand you want to have an Indic terminal easily available,
I have to agree with Bill: language groups are for language-specific packages. Emacs is not a package specific to any particular language. :)

Comment 7 Jens Petersen 2010-05-24 23:30:34 UTC
I would even suggest moving the emacs-terminal script out of emacs
into a separate package - it doesn't really belong in emacs either.


Note You need to log in before you can comment on or make changes to this bug.